Bug 855017 - (TEIID-2189) Can the behaviour of the || operator to use concat2 to mirror the oracle functionality be made configurable
Can the behaviour of the || operator to use concat2 to mirror the oracle func...
Status: CLOSED WONTFIX
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Van Halbert
https://c.na7.visual.force.com/apex/C...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-06 10:12 EDT by Van Halbert
Modified: 2013-12-05 08:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-07 13:57:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-2189 Minor Closed Can the behaviour of the || operator to use concat2 to mirror the oracle functionality be made configurable 2013-12-09 21:53:55 EST

  None (edit)
Comment 1 JBoss JIRA Server 2012-09-14 13:01:41 EDT
Steven Hawkins <shawkins@redhat.com> made a comment on jira TEIID-2189

Our logic isn't really amenable to handling || differently than concat.  This would probably have to be implemented as having both || and concat map to concat2.  That by itself is not a large change especially if it's enabled via a system property and affects the system globally (user queries transformations etc.)  If that's not desirable then we need more information.
Comment 3 JBoss JIRA Server 2013-08-06 11:36:27 EDT
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-2189 to Resolved
Comment 4 JBoss JIRA Server 2013-08-06 11:36:27 EDT
Steven Hawkins <shawkins@redhat.com> made a comment on jira TEIID-2189

Reasons against this:
- it's non-ansi behavior
- Oracle doesn't even guarantee this behavior in later version
- addressing isn't straight-forward.  We can just change the behavior of the function method.  It would require us to internally differentiate between the || and the concat function and to ensure that all of the internal views (mostly in pg) use the concat function.

So marking as won't fix unless there is an additional driver to add this behavior.
Comment 5 JBoss JIRA Server 2013-12-05 08:55:53 EST
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-2189 to Closed

Note You need to log in before you can comment on or make changes to this bug.